Subject: Re: Could you make vconfig less stupid?

From: Patrick McHardy <[email-masked]>
Date: Tue, 07 Oct 2008 14:56:03 +0200

Denys Fedoryshchenko wrote:
> On Tuesday 07 October 2008, Milan Kocian wrote:
>> hello,
>>
>> btw. How can I see vlan id on device ?
>> After:
>> # ip l a l eth0 type vlan id 100
>> # ip a
>> I see:
>>
>> 64: vlan0@eth0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN
>>     link/ether 00:16:d3:3e:4e:b9 brd ff:ff:ff:ff:ff:ff
>>
>> No vlan id in interface name ?
>>
>> # ip -V
>> ip utility, iproute2-ss080725
>>
>> regards,
> Use flag -d
> rich ip # ./ip -d l show dev vlan0
> 31: vlan0@eth0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN
>     link/ether 00:1e:8c:89:78:af brd ff:ff:ff:ff:ff:ff
>     vlan id 100 <REORDER_HDR>

It would be better to have -d as a default, I was afraid of breaking
scripts of people sedding and awking around with the iproute output.

Stephen should make this call, I'm not sure what guarantees he wants
to provide. I just remembered one of my previous jobs where a large
number of scripts had to be changed because iproute started using
lower case letters in some spots, and I had to do it :)